﻿using System;
using UnityEngine;

[Serializable]
public class BackgroundDecorationDescriptor : System.Object
{
    [SerializeField]
    private string m_Name = "Decoration";
    public string Name
    {
        get { return m_Name; }
    }

    [SerializeField]
    private Sprite m_Sprite = null;
    public Sprite Sprite
    {
        get { return m_Sprite; }
    }

    [SerializeField]
    private float m_Spacing = 10.0f;
    public float Spacing
    {
        get { return m_Spacing; }
    }



    [SerializeField]
    private float m_SpacingDeviation = 5.0f;
    public float SpacingDeviation
    {
        get { return m_SpacingDeviation; }
    }

    [SerializeField]
    private float m_BaseVerticalPosition = 2.0f;
    public float VerticalPosition
    {
        get { return m_BaseVerticalPosition; }
    }

    [SerializeField]
    private float m_VerticalDeviation = 2.0f;
    public float VerticalDeviation
    {
        get { return m_VerticalDeviation; }
    }
}

